var string = "";
for (var i = 0; i < data.listdata.length; i++) {
	var index = data.listdata[i];
	string += '<li style="width: 385px;" info="' + index.site + '" title="' + index.title + '"><div class="icon"></div><p>' + index.title + '</p><div class="checkbox"><input type="hidden" name="site" value="' + index.site + '" disabled=disabled></div></li>'
};
data.url!="" && $(".fav_site").val(data.url);
$("#ullist").append(string);
var inputArr = new Array;
var newOptions = {
	expiresAt: new Date() + 3600 * 365 * 24
};
listLi();
function listLi() {
	$(".list ul").empty();
	$.each($.cookies.filter(/^input\d+/), function(k, v) {
		$.inArray(v, inputArr) < 0 && inputArr.push(String(v));
		$(".list ul").append("<li>" + v + "</li>");
	})
}; (function($) {
	$.cookies.setOptions(newOptions);
	$.fn.inputCK = function(options) {
		return this.each(function() {
			var $this = $(this);
			var $thisHint = $(this).attr("hint");
			$(this).focus(function() {
				var $thisVal = $(this).val(); ($thisVal == '' || $thisVal == $thisHint) && $this.val("");
				listLi();
				if(inputArr.length>0){
				   $(".list").slideDown();
				}
			}).blur(function() {
				var $thisVal = $(this).val(); ($thisVal == '') && $this.val($thisHint);
				$(".list").fadeOut(500);
			});
			$(".list li").live("click", function() {
				var text = $(this).text();
				$this.val(text);
			})
		});
	}
})(jQuery);
$(function() {
	$(".fav_site").inputCK();
	var keyNum = 0;
	$(document).keydown(function(e) {
		keyNum = e.which;
	}).keyup(function() {
		keyNum = 0;
	});
	$(".fav_site").keyup(function() {
		$(".fav_title").val("");
	});
	$(".clipboard").click(function() {
		$(".fav_site").val(getClipboard());
		$(".fav_title").val("");
	});
	$("#ullist li .checkbox").click(function(e) {
		$(".checkbox :input").each(function() {
			$(this).attr("disabled", true);
		});
		$("#ullist li .checkbox").removeClass("checked");
		$(this).toggleClass("checked");
		$(this).find("input").attr("disabled", false);
		var value = $(this).find("input").val();
		var title = $(this).parent("li").attr("title");
		$(".fav_site").val(value);
		$(".fav_title").val(title);
		e.stopPropagation();
	});
	$("#ullist li").click(function() {
		$(".checkbox :input").each(function() {
			$(this).attr("disabled", true);
		});
		$("#ullist li .checkbox").removeClass("checked");
		$(this).find(".checkbox").toggleClass("checked");
		$(this).find(".checkbox").find("input").attr("disabled", false);
		var value = $(this).find("input").val();
		var title = $(this).attr("title");
		$(".fav_site").val(value);
		$(".fav_title").val(title);
	});
	
	if(data.notice==0){
		$("#notice").hide();
	}
	
	$(document).click(function() {
		$("#notice").fadeOut(800);
	});
	var $ul = $("#ullist"),
	$detail1 = $("#detail1"),
	$detail2 = $("#detail2");
	var ul2 = $ul.height() / 2;
	var offset = $ul.offset();
	var top = offset.top;
	var bottom = offset.top + $ul.height();
	var offset = 0;
	$detail1.css({top: top - 20});
	$detail2.css({top: bottom});
	$("#ullist li").hover(function() {
		var $this = $(this);
		$(this).removeClass("acting");
		offset = $(this).position();
		var site = $(this).attr("info");
		$detail1.html("网址:" + site);
		$detail2.html("网址:" + site);
		setTimeout(function() {
			if (ul2 > offset.top) { 
			   !$this.hasClass("acting") && $detail2.show().stop().animate({top: bottom - $detail1.height()});
			} else { 
			   !$this.hasClass("acting") && $detail1.show().stop().animate({top: top});
			}
		},600)
	},function() {
		$(this).addClass("acting");
		if (ul2 > offset.top) {
			$detail2.stop().animate({top: bottom});
		} else {
			$detail1.stop().animate({top: top - $detail1.height()});
		};
		offset = 0;
	});
	$("#submit").click(function() {
		var text = $(".fav_site").val();
		if ($.inArray(String(text), inputArr) < 0) {
			$.cookies.set('input' + (inputArr.length + 1), text);
			inputArr.push(String(text));
		};
		if ($(".fav_site").val() != "" && $(".fav_site").val() != "请输入你想收藏的网址...") {
			var title = UrlEncode($(".fav_title").val());
			var site = UrlEncode($(".fav_site").val());
			$(".fav_site").val(site);
			$(".fav_title").val(title);
			$("#form1").submit();
		}
	});
	
	$("#submit2").click(function() {
			$("#form1").attr("action","app_sniffgallery:");
			var title = UrlEncode($(".fav_title").val());
			var site = UrlEncode($(".fav_site").val());
			$(".fav_site").val(site);
			$(".fav_title").val(title);
			$("#form1").submit();
	});
	

	$("#sbooksubmit").click(function() {
			$("#form1").attr("action","app_sbook:");
			var title = UrlEncode($(".fav_title").val());
			var site = UrlEncode($(".fav_site").val());
			$(".fav_site").val(site);
			$(".fav_title").val(title);
			$("#form1").submit();
	});
	

});
